numpad on touchpad doesn't work in ASUS Zenbook 14

Bug #1810183 reported by Steve Bicko on 2019-01-01
284
This bug affects 52 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned

Bug Description

I have Asus Zenbook 14 UX433FA which I have installed Ubuntu 18.10 alongside windows 10.
The numeric keypads are within the touchpad and are supposed to be turned on by a button on the touchpad. This works well in Windows but doesn't work in Ubuntu.
I have tried to search for any related problems/solutions online but I haven't been able to.
I will appreciate any suggestion or help.
Thanks,
---
ProblemType: Bug
ApportVersion: 2.20.10-0ubuntu13.1
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.10
InstallationDate: Installed on 2018-12-30 (4 days ago)
InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 (20181017.3)
Package: linux (not installed)
Tags: cosmic
Uname: Linux 4.19.11-041911-generic x86_64
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
---
ProblemType: Bug
ApportVersion: 2.20.10-0ubuntu13.1
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.10
InstallationDate: Installed on 2018-12-30 (4 days ago)
InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 (20181017.3)
Package: linux (not installed)
Tags: cosmic
Uname: Linux 4.18.10-041810-generic x86_64
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True

information type: Private Security → Public
affects: alsa-driver (Ubuntu) → ubuntu
Paul White (paulw2u) on 2019-01-03
affects: ubuntu → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1810183

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected cosmic
description: updated

apport information

apport information

description: updated

apport information

Kai-Heng Feng (kaihengfeng) wrote :

Would it be possible for you to test the latest upstream kernel? Refer
to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
v4.20 kernel[0].

If this bug is fixed in the mainline kernel, please add the following
tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag:
'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as
"Confirmed".

Thanks in advance.

[0] https://kernel.ubuntu.com/~kernel-ppa/mainline/v4.20/

Warren Baird (wjbaird) wrote :

I just got the same laptop today, and am having the same problem (although I'm running Linux Mint 19.1 instead of Ubuntu directly). I'm still getting things set up, but will get the 4.20 kernel installed as soon as I can and try this...

Steve Bicko (cygubicko) wrote :

"kernel-bug-exists-upstream"

Tested the latest kernel (v4.20) as suggested by Kai-Heng but still it doesn't work!

Kai-Heng Feng (kaihengfeng) wrote :

Seems like there's no driver support yet for this new feature.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Po-Hsu Lin (cypressyew) on 2019-04-08
Changed in linux (Ubuntu):
status: Expired → Confirmed
Kai-Heng Feng (kaihengfeng) wrote :

Please attach dmesg after the hotkey gets pressed.

BRUNET Delphine (af1ne) wrote :

Hello, I buy almost same asus Zenbook UX433FN and I have the same problem : numpad doesn't work.
I didn't find any driver running on ubuntu...
My config is ubuntu 18.04.2 LTS

Linux version 4.19.11-041911-generic (kernel@kathleen) (gcc version 8.2.0 (Ubuntu 8.2.0-12ubuntu1)) #201812191931 SMP Wed Dec 19 19:33:33 UTC 2018.

Thank for you're help :)

Fran Diéguez (frandieguez) wrote :
Download full text (8.8 KiB)

dmesg reports nothing when pushing the button to activate the button.

checking the evtest output for the touchpad I cant see anything interesting
$ sudo evtest
No device specified, trying to scan all of /dev/input/event*
Available devices:
/dev/input/event0: Lid Switch
/dev/input/event1: Sleep Button
/dev/input/event2: Power Button
/dev/input/event3: Power Button
/dev/input/event4: AT Translated Set 2 keyboard
/dev/input/event5: PC Speaker
/dev/input/event6: Asus WMI hotkeys
/dev/input/event7: ELAN1402:00 04F3:30BF Touchpad
/dev/input/event8: ELAN1402:00 04F3:30BF Keyboard
/dev/input/event9: Video Bus
/dev/input/event10: Video Bus
/dev/input/event11: Logitech USB Receiver
/dev/input/event12: Logitech USB Receiver Mouse
/dev/input/event13: Logitech USB Receiver Consumer Control
/dev/input/event14: USB2.0 HD IR UVC WebCam: USB2.0
/dev/input/event15: Logitech USB Receiver System Control
/dev/input/event16: USB2.0 HD IR UVC WebCam: USB2.0
/dev/input/event17: HDA Intel PCH Headset Mic
/dev/input/event18: HDA Intel PCH Headphone
/dev/input/event19: HDA Intel PCH HDMI/DP,pcm=3
/dev/input/event20: HDA Intel PCH HDMI/DP,pcm=7
/dev/input/event21: HDA Intel PCH HDMI/DP,pcm=8
/dev/input/event22: HDA Intel PCH HDMI/DP,pcm=9
/dev/input/event23: HDA Intel PCH HDMI/DP,pcm=10
/dev/input/event24: 00:16:94:31:EF:23
Select the device event number [0-24]: 7
Input driver version is 1.0.1
Input device ID: bus 0x18 vendor 0x4f3 product 0x30bf version 0x100
Input device name: "ELAN1402:00 04F3:30BF Touchpad"
Supported events:
  Event type 0 (EV_SYN)
  Event type 1 (EV_KEY)
    Event code 272 (BTN_LEFT)
    Event code 325 (BTN_TOOL_FINGER)
    Event code 328 (BTN_TOOL_QUINTTAP)
    Event code 330 (BTN_TOUCH)
    Event code 333 (BTN_TOOL_DOUBLETAP)
    Event code 334 (BTN_TOOL_TRIPLETAP)
    Event code 335 (BTN_TOOL_QUADTAP)
  Event type 3 (EV_ABS)
    Event code 0 (ABS_X)
      Value 1307
      Min 0
      Max 2992
      Resolution 31
    Event code 1 (ABS_Y)
      Value 808
      Min 0
      Max 1496
      Resolution 31
    Event code 47 (ABS_MT_SLOT)
      Value 0
      Min 0
      Max 4
    Event code 53 (ABS_MT_POSITION_X)
      Value 0
      Min 0
      Max 2992
      Resolution 31
    Event code 54 (ABS_MT_POSITION_Y)
      Value 0
      Min 0
      Max 1496
      Resolution 31
    Event code 55 (ABS_MT_TOOL_TYPE)
      Value 0
      Min 0
      Max 2
    Event code 57 (ABS_MT_TRACKING_ID)
      Value 0
      Min 0
      Max 65535
  Event type 4 (EV_MSC)
    Event code 5 (MSC_TIMESTAMP)
Properties:
  Property type 0 (INPUT_PROP_POINTER)
  Property type 2 (INPUT_PROP_BUTTONPAD)
Testing ... (interrupt to exit)
Event: time 1556406853.164537, type 3 (EV_ABS), code 57 (ABS_MT_TRACKING_ID), value 1779
Event: time 1556406853.164537, type 3 (EV_ABS), code 53 (ABS_MT_POSITION_X), value 2941
Event: time 1556406853.164537, type 3 (EV_ABS), code 54 (ABS_MT_POSITION_Y), value 0
Event: time 1556406853.164537, type 1 (EV_KEY), code 330 (BTN_TOUCH), value 1
Event: time 1556406853.164537, type 1 (EV_KEY), code 325 (BTN_TOOL_FINGER), value 1
Event:...

Read more...

Dustin Holloway (tehnatural) wrote :

+1 also, affected by this issue

Kai-Heng Feng (kaihengfeng) wrote :

Does acpi_listen show anything?

Dustin Holloway (tehnatural) wrote :

Not explicity for the numpad. It does, however, show entries when changing the keyboard backlight as well as the monitor backlight.

Nikita Rushmanov (nikita240) wrote :

+1 also affected by this. I have an ASUS ROG Zephyrus S which also had a touchpad/numpad.

I'm on Kubuntu 19.04. Kernel 5.0.0-16-generic.

egcmi (egcmi) wrote :

+1 also affected by this. Kubuntu 18.04 kernel 5.0.0-050000-generic on Asus ZenBook UX433FN

Carlos Higa (carloshiga) wrote :

+1
Using Zenbook UX433FN, Ubuntu 18.04, kernel 4.20.6-042006-generic.

Kai-Heng Feng (kaihengfeng) wrote :

Oh please run evtest on "AT Translated Set 2 keyboard", "Asus WMI hotkeys" or "00:16:94:31:EF:23".

+1

Same issue with my ASUS ZenBook UX433FN - Ubuntu 19.04 - Kernel 5.0.0-20-generic - numpad not working. This is one of the coolest features of this laptop and is not woking in Ubuntu. With Windows it works properly.

+1

Same issue with my ASUS ZenBook UX433F - Debian 10 - Kernel 5.2.0 - numpad not working.

$ uname -a
Linux laptop 5.2.0

Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
Rokas (urbonasr) wrote :

Same with UX433FA and Ubuntu 18.04

Federico Aloi (federico-aloi) wrote :

Same here, UX433FN.

Linux asus-ux433fn 5.0.0-27-generic #28~18.04.1-Ubuntu SMP Thu Aug 22 03:00:32 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

ANDREA MATTANA (amattana) wrote :

Same here, UX433FN

$uname -a
Linux lambda 5.1.15-050115-generic #201906250430 SMP Tue Jun 25 04:33:37 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

Szabó László (karlitosz) wrote :

Same here,

Linux szabolaszlo-ZenBook-UX433FN-UX433FN 5.0.0-29-generic #31~18.04.1-Ubuntu SMP Thu Sep 12 18:29:21 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

Robbie (lehthanis) wrote :

Wanted to drop in that I have an asus ROG zephyrus and no touchpad functionality for me either. Anything I can do to help?

costing (costing) wrote :

Same here, on Ubuntu 19.10 with kernel 5.3.0

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 19.10
Release: 19.10
Codename: eoan
$ uname -a
Linux zen 5.3.0-18-generic #19-Ubuntu SMP Tue Oct 8 20:14:06 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

acpi_listen doesn't see any event when the touchpad virtual button is pressed. Nor xev.

Pedro Diez (pedro-diez) wrote :

Same here, How can we help to solve it?

Adam Niedling (krychek) wrote :

Same with the ASUS Zenbook UX333FA on Ubuntu 19.10.

Di@bl@l (132ch204) wrote :

Hi everyone, same here with ubuntu 19.10 and with asus vivobook S14 X420F.

Agustina Osimani (aosimani) wrote :

+1 also affected by this.

hvico (horacio-vico) wrote :

I have an ASUS Zephyrus-GX501GI and I am affected by this issue (inability turn on the numeric pad).

WOZNIAK (pwozniak) wrote :

+1 (with kernel 5.3.0-24)
No message with "dmesg"
No input with "xinput test"

Really waiting for solution as this is a really useful feature from ASUS notebook

Ákos Blázsik (akosblazsik) wrote :

Similar defiled experience on ASUS Zenbook 14 UM431D with Ubuntu 19.10.

+1 (with kernel 5.4.0-2-amd64)
No message with "dmesg"

:'(

Ktux (ti-orion) wrote :

+1 on ASUS Vivobook 14 R424D with kubuntu 18.04 or 19.04.
This feature is usefull for 14 inch notebook.

Robbie (lehthanis) wrote :

I've never written drivers before but if someone wants to work on this with me, I'd love to help out.

Piotr Arłukowicz (piotao) wrote :

Same problem here!!!

inxi -M -S
System: Host: haran Kernel: 5.3.0-40-generic x86_64 bits: 64 Desktop: KDE Plasma 5.16.5 Distro: Ubuntu 19.10 (Eoan Ermine)
Machine: Type: Laptop System: ASUSTeK product: ZenBook Pro Duo UX581GV_UX581GV v: 1.0 serial: <root required>
Mobo: ASUSTeK model: UX581GV v: 1.0 serial: <root required> UEFI: American Megatrends v: UX581GV.300
date: 08/29/2019

Misa (misamisa) wrote :

+1 affected by this.

Kernel: 5.5.9-050509-generic x86_64 bits: 64
  Desktop: Cinnamon 4.4.5 Distro: Linux Mint 19.3 Tricia
  Type: Laptop System: ASUSTeK product: ZenBook UX434FAC_UX433FAC v: 1.0
  serial: <root required>
  Mobo: ASUSTeK model: UX434FAC v: 1.0 serial: <root required>
  UEFI: American Megatrends v: UX434FAC.300 date: 09/20/2019

Robbie (lehthanis) wrote :

While not an actual driver...I found this utility on reddit...It's a python script that checks for the mode, and if you're in the num pad mode, it evaluates position of tap and sends numpad presses. Works for me!

https://gitlab.com/Thraen/gx735_touchpad_numpad/

Robbie (lehthanis) wrote :

My reply seems to have been removed, but this worked for me.
https://gitlab.com/Thraen/gx735_touchpad_numpad

With some code modification, this last solution just above works on a UX433 BUT this does not allow to switch the numpad light ON :'(
So very hard to use.

Even flashing Asus UX433 BIOS with last version had not effect on the numpad :-/

sudo dmidecode -t bios -t system

System Information
 Manufacturer: ASUSTeK COMPUTER INC.
 Product Name: ZenBook UX433FN_UX433FN
 Version: 1.0
 SKU Number:
 Family: ZenBook

BIOS Information
 Vendor: American Megatrends Inc.
 Version: UX433FN.309
 Release Date: 10/14/2019
 Address: 0xF0000
 Runtime Size: 64 kB
 ROM Size: 16 MB
 BIOS Revision: 5.13

:~$ uname -a
Linux laptop 5.4.0-4-amd64 #1 SMP Debian 5.4.19-1 (2020-02-13) x86_64 GNU/Linux

:~$ cat /proc/version
Linux version 5.4.0-4-amd64 (<email address hidden>) (gcc version 9.2.1 20200203 (Debian 9.2.1-28)) #1 SMP Debian 5.4.19-1 (2020-02-13)

Adam Niedling (krychek) on 2020-04-25
tags: added: fecal
Czumpf Zoltán (cuf87) wrote :
Download full text (4.0 KiB)

Same here!

czumpf@czumpf-laptop:~$ inxi -Fxzd
System: Kernel: 5.6.7-050607-generic x86_64 bits: 64 compiler: gcc v: 9.3.0 Desktop: Gnome 3.36.1
           Distro: Ubuntu 20.04 LTS (Focal Fossa)
Machine: Type: Laptop System: ASUSTeK product: ZenBook UX431DA_UM431DA v: 1.0 serial: <filter>
           Mobo: ASUSTeK model: UX431DA v: 1.0 serial: <filter> UEFI: American Megatrends v: UX431DA.301 date: 09/11/2019
Battery: ID-1: BATT charge: 41.6 Wh condition: 45.6/46.8 Wh (97%) model: ASUSTeK UX431 status: Discharging
CPU: Topology: Quad Core model: AMD Ryzen 7 3700U with Radeon Vega Mobile Gfx bits: 64 type: MT MCP arch: Zen+ rev: 1
           L2 cache: 2048 KiB
           flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm bogomips: 36732
           Speed: 1322 MHz min/max: 1400/2300 MHz Core speeds (MHz): 1: 1257 2: 1348 3: 1252 4: 1249 5: 1222 6: 1222 7: 1353
           8: 1272
Graphics: Device-1: Advanced Micro Devices [AMD/ATI] Picasso vendor: ASUSTeK driver: amdgpu v: kernel bus ID: 03:00.0
           Display: x11 server: X.Org 1.20.8 driver: amdgpu resolution: 1920x1080~60Hz
           OpenGL: renderer: AMD RAVEN (DRM 3.36.0 5.6.7-050607-generic LLVM 9.0.1)
           v: 4.6 Mesa 20.2.0-devel (git-65b05eb 2020-05-01 focal-oibaf-ppa) direct render: Yes
Audio: Device-1: Advanced Micro Devices [AMD/ATI] Raven/Raven2/Fenghuang HDMI/DP Audio driver: snd_hda_intel v: kernel
           bus ID: 03:00.1
           Device-2: Advanced Micro Devices [AMD] Raven/Raven2/FireFlight/Renoir Audio Processor driver: N/A bus ID: 03:00.5
           Device-3: Advanced Micro Devices [AMD] Family 17h HD Audio vendor: ASUSTeK driver: snd_hda_intel v: kernel
           bus ID: 03:00.6
           Sound Server: ALSA v: k5.6.7-050607-generic
Network: Device-1: Intel Wireless 8265 / 8275 driver: iwlwifi v: kernel bus ID: 01:00.0
           IF: wlp1s0 state: up mac: <filter>
Drives: Local Storage: total: 476.94 GiB used: 38.40 GiB (8.1%)
           ID-1: /dev/nvme0n1 vendor: KingMAX model: PCIe SSD 512GB size: 476.94 GiB
           Message: No Optical or Floppy data was found.
Partition: ID-1: / size: 58.81 GiB used: 22.73 GiB (38.7%) fs: ext4 dev: /dev/dm-1
           ID-2: /boot size: 945.6 MiB used: 306.4 MiB (32.4%) fs: ext4 dev: /dev/nvme0n1p5
           ID-3: /home size: 244.42 GiB used: 15.32 GiB (6.3%) fs: ext4 dev: /dev/dm-3
           ID-4: swap-1 size: 16.00 GiB used: 0 KiB (0.0%) fs: swap dev: /dev/dm-2
Sensors: System Temperatures: cpu: 40.4 C mobo: N/A gpu: amdgpu temp: 40 C
           Fan Speeds (RPM): cpu: 0
Info: Processes: 384 Uptime: 38m Memory: 13.66 GiB used: 4.41 GiB (32.3%) Init: systemd runlevel: 5 Compilers: gcc: 9.3.0
           Shell: bash v: 5.0.16 inxi: 3.0.38

czumpf@czumpf-laptop:~$ xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ ELAN1401:00 04F3:30F4 Mouse id=14 [slave pointer (2)]
⎜ ↳ ELAN1401:00 04F3:30F4 Touchpad id=15 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Vi...

Read more...

florian (florian-bouvet14) wrote :

Same here +1

Changed in linux (Ubuntu):
status: Confirmed → In Progress
status: In Progress → Confirmed

Same here w/
- UX431FA
- Ubuntu 20.04

Thanks!

marqus (elgolembeppo) wrote :

Same here:

Linux VivoBook-ASUSLaptop-X421JQ-K433JQ 5.4.0-39-generic #43-Ubuntu SMP Fri Jun 19 10:28:31 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Linux version 5.4.0-39-generic (buildd@lcy01-amd64-016) (gcc version 9.3.0 (Ubuntu 9.3.0-10ubuntu2)) #43-Ubuntu SMP Fri Jun 19 10:28:31 UTC 2020

Thanks!

magellan (magellan-2000) wrote :

Same problem for me :
Asus Vivobook M433I Model S433IA-EB372T with AMD Ryzen 7 47000 processor
OS : Linux Mint 20 based on Ubuntu 20.04 with Kernel 5.8 RC6

How long will we have to wait for a solution ?
Is anybody still working on the driver ?
How can we help to solve this issue ?

I've bought this computer for 2 reasons : Octocore for virtualization and compact size with numpad to avoid using shift and letters combinations to type numbers.

So please, fix it because all 14" computers with numpad have to run Windows to use this useful device.

David.

Francisco Soares (fbsoares) wrote :

+1 same problem with me, asus UX425JA

5.4.0-45-generic #49-Ubuntu SMP Wed Aug 26 13:38:52 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Pilot6 (hanipouspilot) wrote :

On my x412da the touchpad is detected as 3 input devices:

ELAN1401:00 04F3:30F2 Touchpad
ELAN1401:00 04F3:30F2 Mouse
ELAN1401:00 04F3:30F2 Keyboard

The first one works as a touchpad. The other two don't.

The keyboard is the device we need to enable the numpad. It has the LED detected even with the correct trigger: NumLock.

The problem is we don't know what the Windows driver sends to the touchpad through i2c to enable this mode. We need either to hack the i2c bus on Windows, or get the information fro Elan people. I am afraid that they won't provide anything.

If anyone has enough knowledge of Windows to catch the command, I could start working on support in Linux.

magellan (magellan-2000) wrote :

Hello,

This is the first encouraging message I read on the subject! Unfortunately, I don't have the skills to help you but I hope with all my heart that someone will be able to help you so that we can finally enjoy our touchpad with the numberpad function.

I had the same thought reading the last message,
best wishes to everyone that will try to solve the problem that is sadly
ignored by the official developers.
Many thanks, If you need any kind of support providing logs of any other
things please let me know, I will be happy to help.
Cheers,
Andrea

Il giorno ven 18 set 2020 alle ore 10:30 magellan <
<email address hidden>> ha scritto:

> Hello,
>
> This is the first encouraging message I read on the subject!
> Unfortunately, I don't have the skills to help you but I hope with all
> my heart that someone will be able to help you so that we can finally
> enjoy our touchpad with the numberpad function.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1823320).
> https://bugs.launchpad.net/bugs/1810183
>
> Title:
> numpad on touchpad doesn't work in ASUS Zenbook 14
>
> Status in Linux:
> New
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> I have Asus Zenbook 14 UX433FA which I have installed Ubuntu 18.10
> alongside windows 10.
> The numeric keypads are within the touchpad and are supposed to be
> turned on by a button on the touchpad. This works well in Windows but
> doesn't work in Ubuntu.
> I have tried to search for any related problems/solutions online but I
> haven't been able to.
> I will appreciate any suggestion or help.
> Thanks,
> ---
> ProblemType: Bug
> ApportVersion: 2.20.10-0ubuntu13.1
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> DistroRelease: Ubuntu 18.10
> InstallationDate: Installed on 2018-12-30 (4 days ago)
> InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64
> (20181017.3)
> Package: linux (not installed)
> Tags: cosmic
> Uname: Linux 4.19.11-041911-generic x86_64
> UnreportableReason: The running kernel is not an Ubuntu kernel
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
> ---
> ProblemType: Bug
> ApportVersion: 2.20.10-0ubuntu13.1
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> DistroRelease: Ubuntu 18.10
> InstallationDate: Installed on 2018-12-30 (4 days ago)
> InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64
> (20181017.3)
> Package: linux (not installed)
> Tags: cosmic
> Uname: Linux 4.18.10-041810-generic x86_64
> UnreportableReason: The running kernel is not an Ubuntu kernel
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/1810183/+subscriptions
>

--

--

Andrea Mattana

Istituto Nazionale di Astrofisica
Istituto di RadioAstronomia

Stazione di Medicina
Via Fiorentina 3513
I-40059 Medicina (BO)
Tel +39-051-6965834
Fax +39-051-6965810

Pilot6 (hanipouspilot) wrote :

I got a link from kernel maintainers to a tool that can help to hack Windows i2c bus.

https://github.com/bentiss/SimplePeripheralBusProbe

If anyone wants to try to get the command, it will be very helpful.

magellan (magellan-2000) wrote :

I would be happy to help with this tool but it is too complicated for me... We have to compile the software. If an executable would exist, it will be more simple and I will try to help.

max (max-nikitin) wrote :

+1

Alexis Clairet (turboconnard) wrote :

Hi, I've got a vivobook X412D and I found this on stackoverflow:
https://gitlab.com/Thraen/gx735_touchpad_numpad/ .
It's not a driver but with a little tweaks in a minute, I managed to get numpad inputs (without leds on and by plugin a usb keyboard).
When "Num lock" on the usb keyboard is enabled I get correct values.

So my plan is to trigger "num lock" with a keyboard shortcut or special hot key (i don't know how) and find a way to enable the backlight leds... (I don't know how)

Pilot6 (hanipouspilot) wrote :

@turboconnard That repo is not useful. It is a python prog that has nothing to do with the touchpad features. It emulates the touchpad capabilities. It can be done on any touchpad.

The only way to get the backlight on and us the fetaure properly is to find out how to enable it.

Alexis Clairet (turboconnard) wrote :

Yep, I know that... the fact is the "bug" is here for a long time and apparently it's not going to be resolved soon without the help of Asus. This thread is linked every time someone on the internet ask for help with there laptop so my idea was to investigate the hack/software solution instead of waiting for a proper hardware one.

Pilot6 (hanipouspilot) wrote :

@turboconnard Asus won't help. Their policy is not to support Linux. It can be resolved only by someone who can hack the Windows driver.

It's a shame that Asus doesn't support Linux. They make great laptops that a lot of developers use because of it.
  If they continue not to support Linux, personally I will probably start to see what its competitors offer like Huawei for example.

hvico (horacio-vico) wrote :
Download full text (6.4 KiB)

Hello,

I tried to apply the I2C probe from Pilot6 link above
(https://github.com/bentiss/SimplePeripheralBusProbe).

Unfortunatelly I couldn't make it work. I was able to overload my DSDT table and compile it (using Intel iasl.exe as Microsoft's asl.exe generated a file which produced lots of errors at compile time). And then I even got the I2C Probe device in my Device Manager (installed the binary inf/sys driver that you can download from the releases page, no compilation needed). But I couldn't manage to modify the DSDT table file for this particular device, in order to bypass the ELAN touchpad/numpad through the I2C probe.

Maybe someone with some experience in this I2C stuff can help me to modify that DSDT table file properly. This is the section I suppose refers to the ELAN touchpad (the complete file has nearly 70.000 lines):

 Scope (_SB.PCI0.I2C1)
    {
        Device (ETPD)
        {
            Name (SBFB, ResourceTemplate ()
            {
                I2cSerialBusV2 (0x004C, ControllerInitiated, 0x00061A80,
                    AddressingMode7Bit, "\\_SB.PCI0.I2C1",
                    0x00, ResourceConsumer, _Y34, Exclusive,
                    )
            })
            Name (SBFI, ResourceTemplate ()
            {
                Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
                {
                    0x0000005F,
                }
            })
            CreateWordField (SBFB, \_SB.PCI0.I2C1.ETPD._Y34._ADR, BADR) // _ADR: Address
            Name (_ADR, One) // _ADR: Address
            Name (ETPH, Package (0x01)
            {
                "ELAN1404"
            })
            Name (FTPH, Package (0x05)
            {
                "FTE1001",
                "FTE1200",
                "FTE1200",
                "FTE1300",
                "FTE1300"
            })
            Method (_HID, 0, NotSerialized) // _HID: Hardware ID
            {
                If ((TPDI & 0x04))
                {
                    BADR = 0x15
                    Return (DerefOf (ETPH [TPHI]))
                }

                If ((TPDI & 0x10))
                {
                    BADR = 0x15
                    Return (DerefOf (FTPH [TPHI]))
                }

                Return ("ELAN1000")
            }

            Name (_CID, "PNP0C50" /* HID Protocol Device (I2C bus) */) // _CID: Compatible ID
            Name (_UID, One) // _UID: Unique ID
            Name (_S0W, 0x03) // _S0W: S0 Device Wake State
            Method (_DSM, 4, NotSerialized) // _DSM: Device-Specific Method
            {
                If ((Arg0 == ToUUID ("3cdff6f7-4267-4555-ad05-b30a3d8938de") /* HID I2C Device */))
                {
                    If ((Arg2 == Zero))
                    {
                        If ((Arg1 == One))
                        {
                            Return (Buffer (One)
                            {
                                 0x03 // .
                            })
                        }
                        Else
                        {
                            Return (Buffer (One)
                            {...

Read more...

Adam Niedling (krychek) on 2020-10-23
tags: added: groovy
praveenpathak (praveen2600) wrote :

Same issue with me.

Asus Zenbook 14 UX425E, i7 11th gen

5.8.0-36-generic #40~20.04.1-Ubuntu SMP Wed Jan 6 10:15:55 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux

hydrogencl (hydrogencl) wrote :

I have reported this issue to ASUS support. If they don't reply, we have to demand them solve it by the support website:

https://www.asus.com/support/product/contactus/services/questionform/?lang=us-en

This issue belongs to ASUS.

Evgeny Brazgin (xapienz) wrote :

@hydrogencl
> I have reported this issue to ASUS support

Thank you! I also requested tech support for the drivers for ExpertBook B9.

Today I got the reply:

> In regards to drivers for Ubuntu Linux 20.10, you will be required to contact Linux directly for drivers and tools for the fingerprint sensor and Numpad as we do not support Linux.

So they are hoping that Linux developers will write drivers themselves :D
I asked them to request the drivers or specs from Elantech, let's see what they say next.

VanVan (w-o) wrote :

Maybe it is possible to ask them directly :
http://www.emc.com.tw/emc/en/Product/Solution/TouchpadSolutions

santicas20 (santiagocasas) wrote :

Hello,
having the same problem here with my Asus Zenbook 14. It would be great to have such a nice feature in Linux. Let me know if I can be of any help to provide logs or test some patches.

Karl Edwards (kre843) wrote :

+1 same for me

2 year old thread. I don't think Asus or some other hardware manufacturer wants to fix it anymore. Once again Asus has shown that the linux community is the least of its concerns. Too bad :/

ANDREA MATTANA (amattana) wrote :

It should advertise the fact that the Asus notebooks do not support linux
and features do not work. Maybe it would push Asus to change strategy.

Il giorno dom 21 feb 2021 alle ore 10:05 Badaoui Mohamed <
<email address hidden>> ha scritto:

> 2 year old thread. I don't think Asus or some other hardware
> manufacturer wants to fix it anymore. Once again Asus has shown that the
> linux community is the least of its concerns. Too bad :/
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1823320).
> https://bugs.launchpad.net/bugs/1810183
>
> Title:
> numpad on touchpad doesn't work in ASUS Zenbook 14
>
> Status in Linux:
> New
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> I have Asus Zenbook 14 UX433FA which I have installed Ubuntu 18.10
> alongside windows 10.
> The numeric keypads are within the touchpad and are supposed to be
> turned on by a button on the touchpad. This works well in Windows but
> doesn't work in Ubuntu.
> I have tried to search for any related problems/solutions online but I
> haven't been able to.
> I will appreciate any suggestion or help.
> Thanks,
> ---
> ProblemType: Bug
> ApportVersion: 2.20.10-0ubuntu13.1
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> DistroRelease: Ubuntu 18.10
> InstallationDate: Installed on 2018-12-30 (4 days ago)
> InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64
> (20181017.3)
> Package: linux (not installed)
> Tags: cosmic
> Uname: Linux 4.19.11-041911-generic x86_64
> UnreportableReason: The running kernel is not an Ubuntu kernel
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
> ---
> ProblemType: Bug
> ApportVersion: 2.20.10-0ubuntu13.1
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> DistroRelease: Ubuntu 18.10
> InstallationDate: Installed on 2018-12-30 (4 days ago)
> InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64
> (20181017.3)
> Package: linux (not installed)
> Tags: cosmic
> Uname: Linux 4.18.10-041810-generic x86_64
> UnreportableReason: The running kernel is not an Ubuntu kernel
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/1810183/+subscriptions
>

--

--

Andrea Mattana

So sad, Asus doesn't care about linux users, that's the reality ... Our only hope is a community developed driver for this feature.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers